<!doctype html>
<html lang="en">
<!-- @MASTER@ -->
<head lang="en">
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
   <meta name="Author" content="Eric S. Raymond">
   <meta name="revised" content="@DATE@">
   <meta name="robots" content="index,follow">
   <meta name="Description" content="gpsd is a utility that can listen to a GPS or AIS receiver and re-publish the positional data in a simpler format.">
   <meta name="Keywords" content="GPS, gpsd, code, project, service, applications, time service, gpsd project">
   <!-- the following is a verification tag for Google Analytics -->
   <meta name="verify-v1" content="kb4f3qxJPMaOltYTpJHnvbnteza1PHO4EhrRIfcq2gk=">
   <!-- the following is a verification tag for Google Webmaster Tools -->
   <meta name="google-site-verification" content="ANgmGfxgaTJkcljaXur3xcZMpyPWrvjzZzPSO8rmcIc" />
   <title>GPSd &mdash; Put your GPS on the net!</title>
   <link rel="stylesheet" href="main.css" type="text/css">
</head>
<body>

<div id="Header">
<code>gpsd</code> &mdash; a GPS service daemon
</div>

<div id="Menu">
    <img src="gpsd-logo-small.png" alt="Small gpsd Logo" height="126"
    width="105"><br>
    Home<br>
    <div>
    <a href="#news">News</a><br>
    <a href="#downloads">Downloads</a><br>
    <a href="#support">Support</a><br>
    <a href="#documentation">Documentation</a><br>
    <a href="faq.html">FAQ</a><br>
    <a href="xgps-sample.html">Screenshots</a><br>
    <a href="#recipes">Recipes</a><br>
    <a href="#others">Other GPSDs</a><br>
    <a href="hardware.html">Hardware</a><br>
    <a href="for-vendors.html">For GPS Vendors</a><br>
    <a href="wishlist.html">Wish List</a><br>
    <a href="hall-of-shame.html">Hall of Shame</a><br>
    <a href="troubleshooting.html">Troubleshooting Guide</a><br>
    <a href="hacking.html">Hacker's Guide</a><br>
    <a href="references.html">References</a><br>
    <a href="protocol-transition.html">Application Compatibility</a>
    <a href="history.html">History</a><br>
    <a href="future.html">Future</a><br>
    </div>

    <div>&nbsp;</div>

    <a href='http://www.catb.org/hacker-emblem/'><img
    src='glider.png' alt='hacker emblem' height="55" width="55"></a><br>

    <script src="https://www.openhub.net/p/3944/widgets/project_thin_badge.js"></script>

    <hr>
    <script><!--
    google_ad_client = "pub-1458586455084261";
    google_ad_width = 160;
    google_ad_height = 600;
    google_ad_format = "160x600_as";
    google_ad_type = "text";
    google_ad_channel = "";
    //--></script>
    <script src="https://pagead2.googlesyndication.com/pagead/show_ads.js">
    </script>
    <hr>

    <a href="https://validator.w3.org/check/referer"><img
          src="https://www.w3.org/Icons/valid-html401"
          alt="Valid HTML 4.01!" height="31" width="88"></a>
</div>

<div id="Content">

<table class="centered" style="background-color:white;border:1px;width:80%;border-collapse:separate;border-spacing:20px;" >
<tr>
<td>
<script
src="https://www.openhub.net/p/3944/widgets/project_basic_stats.js">
</script>
</td>
<td>
<script src="https://www.openhub.net/p/3944/widgets/project_factoids.js">
</script>
</td>
</tr>
<tr>
<td>
<script src="https://www.openhub.net/p/3944/widgets/project_languages.js">
</script>
</td>
<td>
<script src="https://www.openhub.net/p/3944/widgets/project_cocomo.js">
</script>
</td>
</tr>
</table>

@TIPWIDGET@

<h1>About <code>gpsd</code></h1>

<p><code>gpsd</code> is a service daemon that monitors one or more
GPSes or AIS receivers attached to a host computer through serial or
USB ports, making all data on the location/course/velocity of the
sensors available to be queried on TCP port 2947 of the host
computer.</p>

<p>With <code>gpsd</code>, multiple location-aware client applications
can share access to supported sensors without contention or loss of
data. Also, <code>gpsd</code> responds to queries with a format that
is substantially easier to parse than the NMEA 0183 emitted by most
GPSes.  The <code>gpsd</code> distribution includes a linkable C
service library, a C++ wrapper class, and a Python module that
developers of <code>gpsd</code>-aware applications can use to
encapsulate all communication with <code>gpsd</code>. Third-party
client bindings for Java and Perl also exist.</p>

<p>Besides <code>gpsd</code> itself, the project provides auxiliary
tools for diagnostic monitoring and profiling of receivers and feeding
location-aware applications GPS/AIS logs for diagnostic purposes.</p>

<p>GPSD is everywhere in mobile embedded systems. It underlies the map
service on Android phones.  It's ubiquitous in drones, robot
submarines, and driverless cars. It's increasingly common in recent
generations of manned aircraft, marine navigation systems, and
military vehicles.</p>

<p>Applications that
presently use <code>gpsd</code> include
<a href="https://www.kismetwireless.net/">Kismet</a>,
<a href="https://sourceforge.net/projects/gpsdrive/">GpsDrive</a>,
<a href="http://qpegps.sourceforge.net/">gpeGPS</a>,
<a href="http://roadmap.sourceforge.net/">roadmap</a>,
<a href="http://roadnav.sourceforge.net/">roadnav</a>,
<a href="https://www.navit-project.org/">navit</a>,
<a href="https://sourceforge.net/p/viking/wikiallura/Main_Page/">viking</a>,
<a href="https://web.archive.org/web/20081231130455/http://www.tangogps.org/gps/cat/Documentation">tangogps</a>,
<a href="https://www.foxtrotGPS.org/">foxtrot</a>,
<a href="https://icculus.org/obdgpslogger/">obdgpslogger</a>,
<a href="https://www.virtualroadside.com/geoHist/">geohist</a>,
<a href="https://wiki.openstreetmap.org/wiki/JOSM/Plugins/LiveGPS">LiveGPS</a>,
<a href="https://www.freedesktop.org/wiki/Software/GeoClue">geoclue</a>,
<a href="http://www.qlandkarte.org/">qlandkartegt</a>,
<a href="http://gpredict.oz9aec.net/">gpredict</a>,
<a href="https://opencpn.org/">OpenCPN</a>,
<a href="https://github.com/infinet/gpsd-navigator.git">gpsd-navigator</a>,
<a href="https://github.com/IvanSanchez/gpsd-ais-viewer">gpsd-ais-viewer</a>,
and <a
href="https://www.mozilla.org/en-US/firefox/new/">firefox/mozilla</a>.
In addition, the Android smartphone operating system (from version
4.0 onwards and possibly earlier; we don't know for sure when the
change happened) uses GPSD to monitor the phone's on-board GPS, so
every location-aware Android app is indirectly a GPSD client.</p>

<p>GPSD is also extremely widely deployed in mobile embedded systems:
it's a basic building block for navigation used by UAVs, robot
submarines, and driverless cars as well as more conventional
applications like marine navigation and military IFF systems.</p>

<p>Under Linux, <code>gpsd</code> normally runs with zero
configuration.  Binary packages for this program install hotplug
scripts that do the right thing when a USB device goes active,
launching <code>gpsd</code> if needed and telling <code>gpsd</code>
which device to read data from.  Then, <code>gpsd</code> deduces a
baud rate and GPS/AIS type by looking at the data stream.</p>

<p><code>gpsd</code> is high-quality, carefully-audited code; see
our <a href="reliability.html">notes on reliability engineering</a>. In
January 2010, the GPSD project <a
href="https://thedailywtf.com/Articles/Bad-Code-Offsets-Open-Web-Innovation">won</a>
the first Good Code Grant from the Alliance for Code Excellence.</p>

<p>Statistics about the code volume, commit history, and contributors
associated with this project are <a
href="https://www.openhub.net/p/gpsd">available at OpenHUB</a></p>

<p>Our development platforms are open-source Unixes &mdash; Linux, and
the *BSD family.  Presently Linux, OpenBSD and NetBSD are directly
supported.  The code is also extremely widely deployed on Android
phones.  We'll support proprietary Unixes if it's not too much work (and
it usually isn't). Apple's OS X is supported in a limited fashion.  Some
older OS X drivers are buggy and prevent <code>gpsd</code> from being
able to read from some USB-serial devices. No, we don't support Windows
&mdash; get a better operating system.</p>

<p>If you represent a GPS manufacturer interested in qualifying your
device for use with Linux and other open-source operating systems,
we are your contact point.  We'll need (1) on-line access to interface
documentation, (2) a few (as in, no more than three) eval units, and (3)
an engineering contact at your firm.  For more, see our page
<a href='for-vendors.html'>welcoming vendor cooperation</a>.</p>

<p>There are simple <a href="/installation.html">installation
instructions</a> for people running distributions with binary package
systems.  Instructions for <a href="/building.html">building gpsd from
source</a>.  See the <a href='/faq.html'>FAQ</a> for information on how
to report bugs.</p>

<p>If you appreciate GPSD, and especially if you make money from it,
please @TIPLINK@.</p>

<h1 id='news'>News</h1>

<p>This web page was last updated on @DATE@.  You can browse the
project's <a href='NEWS'>news file</a> or <a href='TODO'>to-do
list</a> here.  Note: because of the way this website is maintained,
these files may reflect the state of the repository tip (development
version) rather than the latest released stable version.</p>

<h1 id='downloads'>Repository, Downloads and Packages</h1>

<dl>
<dt><a href='@PROJECTPAGE@'>Repository</a></dt>
<dd>Repository and project administration lives here.</dd>

<dt><a
href="@DOWNLOAD@">Releases</a></dt>
<dd>Where to get release tarballs</dd>
</dl>

<p>If you are using a Debian-based distribution (including Ubuntu) you
can probably install <code>gpsd</code> through your regular package
manager or by typing <code>"sudo apt-get install gpsd"</code> at the command
line.</p>

<h1 id='support'>Support</h1>

<h2 id='realtime'>Real Time</h2>

<p>Some of the developers hang out regularly on IRC at <a
href="irc://irc.freenode.net#gpsd">channel #gpsd at irc.freenode.net</a>.</p>

<h2 id='mailing-lists'>Mailing Lists</h2>

<p>There are four project mailing lists:</p>

<ul>
<li><a href="@MAILMAN@gpsd-announce">gpsd-announce</a>
is for release announcements and project news.</li>
<li><a href="@MAILMAN@gpsd-users">gpsd-users</a>
is for questions and technical support on <code>gpsd</code>, including support
for application builders using <code>gpsd</code> as a component.</li>
<li><a href="@MAILMAN@gpsd-dev">gpsd-dev</a>
is for <code>gpsd</code> developers.</li>
<li><a href="@MAILMAN@gpsd-commit-watch">gpsd-commit-watch</a>
sends automatic broadcast notifications of commits to the <code>gpsd</code>
repository.</li>

<li>There are searchable archives of the old GPSD mailing lists from
Berlios at <a href="https://marc.info">MARC</a>:
<a href="https://marc.info/?l=gpsd-users">gpsd-users</a>
<a href="https://marc.info/?l=gpsd-dev">gpsd-dev</a> and
<a href="https://marc.info/?l=gpsd-commit-watch">gpsd-commit-watch</a>.</li>
</ul>

<h2>Issue Tracker</h2>

<p>The gpsd project tracks issues on our <a href='@ISSUES@'>issue tracker</a>.
Please read the section on <a href='#bug-reporting'>Bug reporting</a> before
posting on the issue tracker.</p>

<h2>SUPPORT information</h2>

<p>More information on <a href='@SUPPORT@'>gpsd SUPPORT</a> is available
on the <a href='@SUPPORT@'>gpsd SUPPORT</a> page.</p>

<h1 id='documentation'>Documentation</h1>

<p>The following manual pages describe the code.  Note: because of the
way this website is maintained, these files will describe the state and
features of the repository tip (development version) rather than the
latest stable version.</p>

<dl>
<dt><a href="gpsd.html">gpsd.8</a></dt>
<dd>The <code>gpsd</code> daemon.</dd>

<dt><a href="gps.html">gps.1</a></dt>
<dd>The <code>gpsd</code> sample clients. <code>cgps</code> using
ncurses. <code>xgps</code> for X. <code>lcdgps</code> for use on 4x40
LCD. <code>gegps</code> for use with Google Earth.</dd>

<dt><a href="gps2udp.html">gps2udp.1</a></dt>
<dd>Feed the take from <code>gpsd</code> to one or more aggregation
sites via UDP.</dd>

<dt><a href="gpsfake.html">gpsfake.1</a></dt>
<dd>The <code>gpsfake</code> test harness simulating a GPS.</dd>

<dt><a href="gpscsv.html">gpscsv.1</a></dt>
<dd>The <code>gpscsv</code> tool for reading gpsd JSON sentences and
converting them in CSV files.</dd>

<dt><a href="gpsctl.html">gpsctl.1</a></dt>
<dd>The <code>gpsctl</code> tool for tweaking GPS settings.</dd>

<dt><a href="gpscat.html">gpscat.1</a></dt>
<dd>The <code>gpscat</code> tool dumps output from a serial
device. Optionally, it can packetize the data.</dd>

<dt><a href="gpsdecode.html">gpsdecode.1</a></dt>
<dd>The <code>gpsdecode</code> packet decoder.</dd>

<dt><a href="gpsmon.html">gpsmon.1</a></dt>
<dd>The <code>gpsmon</code> real-time packet monitor and diagnostic
tool. (This replaces the <code>sirfmon</code> tool in older versions.)</dd>

<dt><a href="gpspipe.html">gpspipe.1</a></dt> <dd>A simple client that
captures GPS output and/or <code>gpsd</code> reports and sends it to
standard output.</dd>

<dt><a href="gpsplot.html">gpsplot.1</a></dt>
<dd>The <code>gpsplot</code> program for dynamically plotting scatterplots
and stripcharts of <code>gpsd</code> data.</dd>

<dt><a href="gpsprof.html">gpsprof.1</a></dt>
<dd>The <code>gpsprof</code> program for statically plotting spatial scatter
of fixes, satellite skyview, fix latency, and other plots.</dd>

<dt><a href="gpsrinex.html">gpsrinex.1</a></dt>
<dd>The <code>gpsrinex</code> program for outputting raw measurements
into a RINEX 3 file.</dd>

<dt><a href="gpssubframe.html">gpssubframe.1</a></dt>
<dd>The <code>gpssubframe</code> tool for reading gpsd JSON subframe
sentences and decoding them.</dd>

<dt><a href="ntpshmmon.html">ntpshmmon.1</a></dt>
<dd>Monitor the NTP shared-memory segments created by GPSD.</dd>

<dt><a href="ubxtool.html">ubxtool.1</a></dt>
<dd>Configure and ommunicate with u-blox GPS from the command line.</dd>

<dt><a href="zerk.html">zerk.1</a></dt>
<dd>An all purpose GREIS fitting. A command line tool for JAVAD GPS.</dd>

<dt><a href="libgps.html">libgps.3</a></dt>
<dd>An interface library that manages communication with the daemon.</dd>

<dt><a href="libgpsmm.html">libgpsmm.3</a></dt>
<dd>C++ class wrapper for the libgps C binding.</dd>

<dt><a href="libQgpsmm.html">libgpsmm.3</a></dt>
<dd>Qt wrapper for the libgps C binding.</dd>

<dt><a href="gpsd_json.html">gpsd_json.5</a></dt> <dd>The JSON 
request/response protocol of the <code>gpsd</code> daemon.</dd>

<dt><a href="gpsdctl.html">gpsdctl.8</a></dt>
<dd>Tool for sending commands to <code>gpsd</code> over its control socket.</dd>

<dt><a href="gpsinit.html">gpsinit.8</a></dt>
<dd>Initialize kernel modules for use with <code>gpsd</code> daemon.</dd>

</dl>

<p>Also, see the <a href="faq.html">FAQ</a>.</p>

<p>We have a <a href='hardware.html'>list of compatible GPSses</a>
with some technical information.  We also have <a href='NMEA.html'>a
list of NMEA sentences</a>.</p>

<p>There is a <a href="hacking.html">Hacker's Guide</a> to the project
philosophy, design, and code internals.  You should read this if you
want to contribute code.</p>

<p>We maintain a <a href="hall-of-shame.html">GPS Hall of Shame</a>
that describes particularly egregious vendor blunders.</p>

<h1 id='white_papers'>White Papers</h1>

<dl>
<dt><a href="https://www.aosabook.org/en/gpsd.html">GPSD</a></dt>
<dd>An in-depth essay on the architecture and practices of GPSD,
published in <cite>The Architecture of Open Source, Volume 2</cite>.</dd>

<dt><a href="client-howto.html">GPSD Client HOWTO</a></dt>
<dd>A programmer's guide to interfacing with <code>gpsd</code> from
client applications. Explains the theory, points at working example
source code, warns you what the edge cases and gotchas are.</dd>

<dt><a href="gps-hacking.html">ESR's Guide to Hacking With GPS</a></dt>
<dd>If you are new to GPS technology and don't quite understand what
<code>gpsd</code> is about, you might find this interesting.</dd>

<dt><a href="http://esr.ibiblio.org/?p=801">Why GPSes suck, and what
to do about it</a></dt>
<dd>The designer of <code>gpsd</code> 2.0 rants in an at least
semi-humorous way about everything that's wrong with GPS standards
and vendors.</dd>

<dt><a href="protocol-evolution.html">GPSD-NG: A Case Study in
Application Protocol Evolution</a></dt>
<dd>History and evolution of the GPSD-NG protocol, illuminating some
larger trends in application protocol design.</dd>

<dt><a href="protocol-transition.html">Moving to GPSD-NG: a Guide for Client Developers</a></dt>
<dd>A practical explanation of GPSD-NG, and how to move to it as painlessly as
possible.</dd>

<dt><a href="replacing-nmea.html">Towards A Better GPS Protocol</a></dt>
<dd>An analysis of what's wrong with NMEA 0183, and a simple way to fix
it.</dd>

<dt><a href="performance/performance.html">Where's the Latency?  Performance analysis of GPSes and GPSD</a></dt>
<dd>An analysis of latency in the GPS/GPSD system. Has implications for the
design of <code>gpsd</code> and vendor claims about binary protocols.</dd>

<dt><a href="writing-a-driver.html">Notes on Writing a GPSD Driver</a></dt>
<dd>A guide for the perplexed by the author of the Jupiter-T driver.</dd>

<dt><a href="internals.html">A Tour of the GPSD Internals</a></dt>
<dd>A walk through the code of GPSD. Written in 2007 and out of date
in spots, but still quite useful for anyone interested in modifying
the code.</dd>

<dt><a href="excellence.html">GPSD and Code Excellence</a></dt> <dd>An
essay written for the "The Alliance for Code Excellence" on how GPSD
drives out bad code.</dd>

<dt><a href="http://esr.ibiblio.org/?p=1859">Scenes from the Life of a System Architect</a></dt>
<dd>The GPSD lead describes some work in progress on the core code of
GPSD. A slice of what doing software architecture is like in the
real world, where history can weigh nearly as much as today's
requirements list.</dd>

<dt><a href="http://esr.ibiblio.org/?p=3617">GPSD 3.0 finally ships. It's been a long epic.</a></dt>
<dd>What a long strange trip it's been. GPSD 3.0 ships, five years of
effort pays off, and I think out loud about protocol transitions and
ubiquity and what it's like to be an infrastructure gnome.</dd>

<dt><a href="gpsd-time-service-howto.html">GPSD Time Service HOWTO</a></dt>
<dd>Step-by-step instructions on setting up a Stratum 1 time server
using GPSD and either ntpd or chrony. Documents the black art of
tuning offsets for remote time servers.</dd>

<dt><a href="ppp-howto.html">PPP HOWTO</a></dt>
<dd>A guide to using <code>gpsd</code> and <code>gpsrinex</code> to
determine your position to the cm level.</dd>

<dt><a href="time-service-intro.html">Introduction to Time Service</a></dt>
<dd>All about time service, reference clocks, strata, chimers, and
other mysteries. Written as a companion to <a
href="gpsd-time-service-howto.html">GPSD Time Service HOWTO</a> for
time-service novices.</dd>

<dt><a href="ubxtool-examples.html">ubxtool examples</a></dt>
<dd>Examples for performing common <code>ubxtool</code> tasks.</dd>

</dl>

<h1 id='recipes'>Recipes and related resources</h1>

<p><code>gpsd</code> also works with some <a href="bt.html">bluetooth
GPS</a> receivers.  Warning: there are serious problems with the
firmware in at least one family of Bluetooth implementations shipped
by Holux that may result in <code>gpsd</code> bricking your GPS.  See this
<a href="upstream-bugs.html#bluetooth">bug warning</a> for a description
of the problem.</p>

<p>If you have an Android phone, it is possible to access its onboard
GPS by pairing it as a Bluetooth device.  Directions from <a
href="https://bvargo.net/blog/2010/10/17/bluetooth-blues-getting-linux-pc-use-gps-android-d/"
>Vargoville</a>. There is also a <a
href="https://www.appszoom.com/android_applications/tools/gps-tether_blgt.html"
>GPS Tether</a> app designed to work with GPSD, but it seems to be in early
alpha.</p>

<p>The <a href="https://sourceforge.net/projects/gpsdproxy/">GPSDproxy
project</a> is a small program which reads GPS data from a running
gpsd process and forwards it to a remote server via an UDP
connection. GPSDproxy is intended to be run on GPS enabled mobile
devices.</p>

<p>You can read detailed instructions on <a
href="http://www.rjsystems.nl/en/2100-ntpd-garmin-gps-18-lvc-gpsd.php">
Synchronizing ntpd to a Garmin GPS 18 LVC via gpsd</a>. This may be a
useful tutorial even if your actual device isn't a Garmin 18; many
of the setup steps and caveats will be the same.</p>

<p>Diego Berge has written a prototype <a
href="https://code.google.com/p/qtgpsc/">Qt-based client</a>, basically
<code>xgps</code> with a Qt look and feel.</p>

<p>Egil M&#246;ller has written <a
href="https://redhog.github.com/agpsd/">agpsd</a>,
a gpsd replication and logging daemon with support for KML.</p>

<p>You can find Debian-unstable packages
<a href='https://packages.debian.org/unstable/misc/gpsd'>here</a>.</p>

<p><code>gpsd</code> is carried in the OpenBSD ports tree.</p>

<p><a href="https://www.openstreetmap.org/">OpenStreetMap</a> is a wiki
aiming to build a freely available, world-wide streetmap.</p>

<p>Freedesktop.org is hosting a project called <a
href="https://www.freedesktop.org/wiki/Software/GeoClue/">geoclue</a>
that aims to provide a location service layer for all D-Bus-using
applications. It can use <code>gpsd</code> as a source for location
info.</p>

<h1 id='others'>Other GPSDs</h1>

<p>There used to be three Linux-based forks of <code>gpsd</code> in the
wild, but this GPSD project reabsorbed one and the other two are now
defunct for unrelated reasons.  You can read a brief <a
href="history.html">history</a> of the <code>gpsd</code> project if
you are curious.</p>

<p>There was a project called <code>gps3d</code> that ships a gpsd
with similar goals to ours, but which appears to be an independent
development. There haven't been any releases since early 2002.  Their
website is archived at
<a href="https://web.archive.org/web/20080209221923/http://www.mgix.com/gps3d/">
the Internet Archive</a>.</p>

<p>There is a <code>gpsd</code>-like hack hosted under <a
href='http://www5.musatcha.com/musatcha/computers/software/gpsd/'>Microsoft
Windows</a>. It provides gpsd service from data in netstumbler under
win32.  This way programs such as <a
href='https://www.wigle.net'>JiGLE</a> can still get GPS data from
netstumbler. This program is not genetically related to
<code>gpsd</code>.</p>

<p><a
href='http://gpsfeed.sourceforge.net/'>gpsfeed+</a> is a
program that simulates the output of a GPS in motion, and can be used
for testing GPS-aware applications.</p>

<p>We aren't Green Parrot Software Development, nor are we the
Greenville Public School District nor the Greater Peoria Sanitary
District, nor even the Greater Portland Soccer District, nor the Green
Party of San Diego, nor do we have anything to do with the General
Product Safety Directive, the Guiding Principles of Sustainable
Design, nor the Glatt Plagiarism Self-Detection Program.</p>

<div style="text-align: center;">
<div style="text-align: left; margin: 1em auto; width: 50%;">
<!-- SiteSearch Google -->
<form method="get" action="https://www.google.com/custom">
<table style="background-color:white;border: 0;">
<tr><td style="vertical-align:top;text-align:left">
<a href="https://www.google.com/">
<img src="https://www.google.com/logos/Logo_25wht.gif" alt="Google" height="32" width="75"></a>
</td>
<td>
<input type="hidden" name="domains" value="@SITESEARCH@">
<input type="text" name="q" size="31" maxlength="255" value="">
<input type="submit" name="sa" value="Search">
</td></tr>
<tr>
<td>&nbsp;</td>
<td>
<table>
<tr>
<td>
<input type="radio" name="sitesearch" value="" checked="checked">
Web
</td>
<td>
<input type="radio" name="sitesearch" value="@SITESEARCH@">
@SITESEARCH@
</td>
</tr>
</table>
<input type="hidden" name="client" value="pub-1458586455084261">
<input type="hidden" name="forid" value="1">
<input type="hidden" name="ie" value="ISO-8859-1">
<input type="hidden" name="oe" value="ISO-8859-1">
<input type="hidden" name="flav" value="0000">
<input type="hidden" name="sig" value="BCQudoNGuH3P6MJe">
<input type="hidden" name="cof" value="GALT:#008000;GL:1;DIV:#336699;VLC:663399;AH:center;BGC:FFFFFF;LBGC:336699;ALC:0000FF;LC:0000FF;T:000000;GFNT:0000FF;GIMP:0000FF;FORID:1">
<input type="hidden" name="hl" value="en">
</td></tr></table>
</form>
<!-- SiteSearch Google -->
</div>
</div>

<hr>
<script src="datestamp.js"></script>
</div>
</body>
</html>
